//---------------------------------------------------------------------------------------------
//
// Archivo: descarga.h
//
// Propsito:
//    Definicin del prototipo de la funcin "Descarga"
//
// Autor:          Jos Manuel Navarro (jose_manuel_navarro@yahoo.es)
// Fecha:          01/06/2003
// Observaciones:  Unidad creada en C++ Builder 5 para Sntesis n 15 (http://www.grupoalbor.com)
// Copyright:      Este cdigo es de dominio pblico y se puede utilizar y/o mejorar siempre que
//                 SE HAGA REFERENCIA AL AUTOR ORIGINAL, ya sea a travs de estos comentarios
//                 o de cualquier otro modo.
//
//---------------------------------------------------------------------------------------------
#ifndef descargaH
#define descargaH

#include "opciones.h"

//
// Defino un tipo puntero a funcin de callback
//
typedef void DESCARGA_CALLBACK (const char *msg);

//
// Funcin global para la descarga a travs de Wininet.
//
int Descargar( const char         *url,
               const char         *destino,
               const TOpciones    *opc      = NULL,
               DESCARGA_CALLBACK  evento    = NULL);


#endif
